<template>
  <div
    v-if="items && items.cards.length"
    class="row justify-center bg-accent q-py-lg"
    :class="{ 'q-px-xl': $q.platform.is.desktop }"
  >
    <div
      class="col-xl-6 col-lg-8 col-md-8 col-sm-12 col-xs-12 text-center text-bold text-white"
      :class="$q.platform.is.desktop ? 'text-h4 q-px-xl q-pt-lg q-pb-md' : 'text-h5 q-px-md q-pt-lg q-pb-sm'"
      v-text="items.title"
    />

    <q-separator color="transparent" />

    <q-carousel
      v-model="slide"
      class="col-lg-8 col-md-8 col-sm-12 col-xs-12 bg-transparent"
      :class="$q.screen.width > 1920 ? 'col-xl-5' : 'col-xl-6'"
      transition-prev="slide-right"
      transition-next="slide-left"
      control-color="white"
      navigation
      animated
      infinite
    >
      <q-carousel-slide
        v-for="(card, index) in items.cards"
        :key="index"
        :name="index"
      >
        <q-card
          class="bg-transparent q-mb-xl"
          flat
        >
          <q-card-section horizontal>
            <q-card-section class="col">
              <q-video
                v-if="card.url"
                :src="card.url"
                class="super-rounded-borders fit"
              />
            </q-card-section>

            <q-card-section class="col">
              <div
                class="text-h5 text-grey-8 text-bold text-uppercase"
                v-text="card.label"
              />

              <div
                class="text-h5 text-grey-2 text-weight-medium"
                v-text="card.description"
              />
            </q-card-section>
          </q-card-section>
        </q-card>
      </q-carousel-slide>
    </q-carousel>
  </div>
</template>

<script>
export default {
  name: 'Testimony',
  props: {
    items: {
      type: Object,
      default: () => ({})
    }
  },
  data () {
    return {
      slide: 1
    }
  }
}
</script>
